net.sf.jasperreports.components.sort

## Interface SortElement

-     public interface SortElement

  Version:
    $Id: SortElement.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILTER_FIELDS_PARAM_SUFFIX`
    `static java.lang.String` | `PARAMETER_SORT_COLUMN_LABEL`
    `static java.lang.String` | `PARAMETER_SORT_COLUMN_NAME`
    `static java.lang.String` | `PARAMETER_SORT_COLUMN_TYPE`
    `static java.lang.String` | `PARAMETER_SORT_HANDLER_COLOR`
    `static java.lang.String` | `PARAMETER_SORT_HANDLER_FONT`
    `static java.lang.String` | `PARAMETER_SORT_HANDLER_FONT_SIZE`
    `static java.lang.String` | `PARAMETER_SORT_HANDLER_HORIZONTAL_ALIGN`
    `static java.lang.String` | `PARAMETER_SORT_HANDLER_VERTICAL_ALIGN`
    `static java.lang.String` | `PROPERTY_DATASET_RUN`
    `static java.lang.String` | `PROPERTY_FILTER_PATTERN`
    `static java.lang.String` | `PROPERTY_FILTER_TYPE`
    `static java.lang.String` | `REQUEST_PARAMETER_DATASET_RUN`
    `static java.lang.String` | `REQUEST_PARAMETER_FILTER_FIELD`
    `static java.lang.String` | `REQUEST_PARAMETER_FILTER_PATTERN`
    `static java.lang.String` | `REQUEST_PARAMETER_FILTER_TYPE`
    `static java.lang.String` | `REQUEST_PARAMETER_FILTER_TYPE_OPERATOR`
    `static java.lang.String` | `REQUEST_PARAMETER_FILTER_VALUE_END`
    `static java.lang.String` | `REQUEST_PARAMETER_FILTER_VALUE_START`
    `static java.lang.String` | `REQUEST_PARAMETER_REMOVE_FILTER`
    `static java.lang.String` | `REQUEST_PARAMETER_SORT_DATA`
    `static java.lang.String` | `SORT_COLUMN_TOKEN_SEPARATOR`
    `static java.lang.String` | `SORT_ELEMENT_NAME`
    `static JRGenericElementType` | `SORT_ELEMENT_TYPE`
    `static java.lang.String` | `SORT_FIELDS_PARAM_SUFFIX`
    `static java.lang.String` | `SORT_ORDER_ASC`
    `static java.lang.String` | `SORT_ORDER_DESC`
    `static java.lang.String` | `SORT_ORDER_NONE`

- - ### Field Detail

    - #### SORT_ELEMENT_NAME

          static final java.lang.String SORT_ELEMENT_NAME

      See Also:
        Constant Field Values

    - #### SORT_ELEMENT_TYPE

          static final JRGenericElementType SORT_ELEMENT_TYPE

    - #### SORT_ORDER_ASC

          static final java.lang.String SORT_ORDER_ASC

      See Also:
        Constant Field Values

    - #### SORT_ORDER_DESC

          static final java.lang.String SORT_ORDER_DESC

      See Also:
        Constant Field Values

    - #### SORT_ORDER_NONE

          static final java.lang.String SORT_ORDER_NONE

      See Also:
        Constant Field Values

    - #### SORT_COLUMN_TOKEN_SEPARATOR

          static final java.lang.String SORT_COLUMN_TOKEN_SEPARATOR

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_COLUMN_NAME

          static final java.lang.String PARAMETER_SORT_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_COLUMN_LABEL

          static final java.lang.String PARAMETER_SORT_COLUMN_LABEL

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_COLUMN_TYPE

          static final java.lang.String PARAMETER_SORT_COLUMN_TYPE

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_HANDLER_COLOR

          static final java.lang.String PARAMETER_SORT_HANDLER_COLOR

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_HANDLER_FONT_SIZE

          static final java.lang.String PARAMETER_SORT_HANDLER_FONT_SIZE

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_HANDLER_VERTICAL_ALIGN

          static final java.lang.String PARAMETER_SORT_HANDLER_VERTICAL_ALIGN

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_HANDLER_HORIZONTAL_ALIGN

          static final java.lang.String PARAMETER_SORT_HANDLER_HORIZONTAL_ALIGN

      See Also:
        Constant Field Values

    - #### PARAMETER_SORT_HANDLER_FONT

          static final java.lang.String PARAMETER_SORT_HANDLER_FONT

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_FILTER_FIELD

          static final java.lang.String REQUEST_PARAMETER_FILTER_FIELD

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_FILTER_VALUE_START

          static final java.lang.String REQUEST_PARAMETER_FILTER_VALUE_START

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_FILTER_VALUE_END

          static final java.lang.String REQUEST_PARAMETER_FILTER_VALUE_END

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_REMOVE_FILTER

          static final java.lang.String REQUEST_PARAMETER_REMOVE_FILTER

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_SORT_DATA

          static final java.lang.String REQUEST_PARAMETER_SORT_DATA

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_DATASET_RUN

          static final java.lang.String REQUEST_PARAMETER_DATASET_RUN

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_FILTER_TYPE

          static final java.lang.String REQUEST_PARAMETER_FILTER_TYPE

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_FILTER_TYPE_OPERATOR

          static final java.lang.String REQUEST_PARAMETER_FILTER_TYPE_OPERATOR

      See Also:
        Constant Field Values

    - #### REQUEST_PARAMETER_FILTER_PATTERN

          static final java.lang.String REQUEST_PARAMETER_FILTER_PATTERN

      See Also:
        Constant Field Values

    - #### PROPERTY_DATASET_RUN

          static final java.lang.String PROPERTY_DATASET_RUN

      See Also:
        Constant Field Values

    - #### PROPERTY_FILTER_TYPE

          static final java.lang.String PROPERTY_FILTER_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_FILTER_PATTERN

          static final java.lang.String PROPERTY_FILTER_PATTERN

      See Also:
        Constant Field Values

    - #### SORT_FIELDS_PARAM_SUFFIX

          static final java.lang.String SORT_FIELDS_PARAM_SUFFIX

      See Also:
        Constant Field Values

    - #### FILTER_FIELDS_PARAM_SUFFIX

          static final java.lang.String FILTER_FIELDS_PARAM_SUFFIX

      See Also:
        Constant Field Values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com